# $Id: moodss.spec,v 1.50 1999/08/02 20:20:50 jfontain Exp $

%define	version	8.1

Summary: Modular Object Oriented Dynamic SpreadSheet
Summary(fr): Tableur Orient Objet Modulaire et Dynamique
Name: moodss
Version: %{version}
Release: 1
Copyright: GPL
Group: Utilities/System
Icon: moodss.gif
Source: http://www.multimania.com/jfontain/%{name}-%{version}.tar.gz
URL: http://multimania.com/jfontain/
Packager: Jean-Luc Fontaine <jfontain@multimania.com>
Requires: tcl >= 8.0, tk >= 8.0, blt >= 2.4, tktable >= 2.2
Buildroot: /var/tmp/%{name}-%{version}

%description
A modular spreadsheet tool with table, graphical, textual data viewers
and full drag and drop user interface. Can be used as a monitoring
tool through customizable data access modules. Includes ps, cpustats,
memstats, diskstats, mounts, route, arp modules for Linux, as well as
2 statistics modules (apache and apachex) for the Apache WWW server.
Requires blt (present in latest distributions) and tktable (found at
http://rufus.w3.org/) rpms.

%description -l fr
Un tableur modulaire comportant des vues tabulaires, graphiques,
textuelles et support exhaustif du glisser-dplacer. Peut tre utilis
comme outil de supervision par l'intermdiaire de module d'accs aux
donnes. Inclut les modules ps, cpustats, memstats, diskstats, mounts,
route, arp pour Linux, ainsi que 2 modules de statistiques (apache and
apachex) pour le serveur WWW Apache.
Ncessite les rpms blt (prsent dans la distribution 5.2) et tktable
(trouv  http://rufus.w3.org/).

%prep

%setup

%build
cc -shared -o libfilesystem.so.1.0 -O2 -fPIC -Wall filesystem.c
cc -shared -o libnetwork.so.1.3 -O2 -fPIC -Wall network.c

%install
# update the documentation directory
sed -e "s,variable documentationDirectory.*,variable documentationDirectory $RPM_DOC_DIR/%{name}-%{version}/documentation," moodss > moodss.tmp
mv -f moodss.tmp moodss
cd documentation # in HTML documentation, convert relative URLs for modules to absolute ones.
sed -e 's,<a href="../,<a href="/usr/lib/moodss/,;' moodss.htm > moodss.tmp
mv -f moodss.tmp moodss.htm
cd ..
install -d $RPM_BUILD_ROOT/usr/bin
install moodss $RPM_BUILD_ROOT/usr/bin
for module in apache apachex arp cpustats diskstats memstats minimal mounts ps random route; do
    directory=/usr/lib/moodss/$module
    install -d $RPM_BUILD_ROOT$directory
    install -m 644 $module/{pkgIndex.tcl,$module.tcl} $RPM_BUILD_ROOT$directory
    for extension in htm gif; do
        name=$module/$module.$extension
        if [ -r $name ]; then
            install -m 644 $name $RPM_BUILD_ROOT$directory
        fi
    done
done
install -m 644 apache/apacheu.tcl $RPM_BUILD_ROOT/usr/lib/moodss/apache
install -m 644 arp/vendor.txt $RPM_BUILD_ROOT/usr/lib/moodss/arp
install -d $RPM_BUILD_ROOT/usr/lib/moodss/packlibs
install -m 644 packlibs/{pkgIndex.tcl,network.tcl} $RPM_BUILD_ROOT/usr/lib/moodss/packlibs
install libfilesystem.so.1.0 libnetwork.so.1.3 $RPM_BUILD_ROOT/usr/lib/moodss/packlibs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES INSTALL COPYRIGHT BUGS TODO documentation/
/usr/bin/moodss
/usr/lib/moodss
